### Hierarchy

- Wordpress

## Index

### Constructors

- constructor

### Properties

- api
- authenticated
- endpoint
- ready
- settings
- site

### Methods

- getMenu
- getMenus
- getParams
- getPost
- getPosts
- init
- initApi
- restoreLocal
- saveLocal

### Object literals

- model

## Constructors

### constructor

- new Wordpress(): Wordpress

- - Defined in cms/wordpress.ts:14

  #### Returns Wordpress

## Properties

### api

api: any

- Defined in cms/wordpress.ts:12

### authenticated

authenticated: boolean = false

- Defined in cms/wordpress.ts:8

### endpoint

endpoint: string

- Defined in cms/wordpress.ts:10

### ready

ready: boolean

- Defined in cms/wordpress.ts:14

### settings

settings: any

- Defined in cms/wordpress.ts:11

### site

site: any

- Defined in cms/wordpress.ts:13

## Methods

### getMenu

- getMenu(mid: any): any

- - Defined in cms/wordpress.ts:127

  #### Parameters

  - ##### mid: any

  #### Returns any

### getMenus

- getMenus(): any

- - Defined in cms/wordpress.ts:137

  #### Returns any

### getParams

- getParams(): any

- - Defined in cms/wordpress.ts:88

  #### Returns any

### getPost

- getPost(id: any, type: any): any

- - Defined in cms/wordpress.ts:98

  #### Parameters

  - ##### id: any

  - ##### type: any

  #### Returns any

### getPosts

- getPosts(): any

- - Defined in cms/wordpress.ts:72

  #### Returns any

### init

- init(options: any): any

- - Defined in cms/wordpress.ts:18

  #### Parameters

  - ##### options: any

  #### Returns any

### initApi

- initApi(settings: any): any

- - Defined in cms/wordpress.ts:39

  #### Parameters

  - ##### settings: any

  #### Returns any

### restoreLocal

- restoreLocal(): void

- - Defined in cms/wordpress.ts:166

  #### Returns void

### saveLocal

- saveLocal(): void

- - Defined in cms/wordpress.ts:162

  #### Returns void

## Object literals

### model

model: object

- Defined in cms/wordpress.ts:9

### menus

menus: object

- Defined in cms/wordpress.ts:9

#### Type declaration

### params

params: object

- Defined in cms/wordpress.ts:9

#### Type declaration

### collections

collections: object

- Defined in cms/wordpress.ts:9

### post

post: object

- Defined in cms/wordpress.ts:9

#### Type declaration